
vari = 'tasanomaly'
yr1 = '1960'
yr2 = '2020'
repos <- '/esarchive/obs/ukmo/hadcrut_v5.0_analysis/monthly_mean/tasanomaly/$var$_$year$$chunk$.nc'
obs <- Start(dat = repos,
              var = vari,
              year = paste(seq(yr1,yr2)),
              time = 'all',
              latitude = indices(1), #'all',
              longitude = indices(1), #'all',
              longitude_reorder = CircularSort(0, 360),
              synonims = list(longitude = c('lon', 'longitude'), latitude = c('lat', 'latitude')),
              chunk = 'all',
              chunk_depends = 'year',
              time_across = 'chunk',
              merge_across_dims = TRUE,
              return_vars = list(time= c('year', 'chunk') , latitude='dat', longitude='dat'),
              retrieve = T)

