vari <- "rsds"
anlgs <- paste0("/esarchive/oper/VITIGEOSS","/output/cfsv2/weekly_mean/",
                    "$var$/$var$-vitigeoss-cat","_1999-2018_", "$file_date$.nc")

file_date_array <- array(dim = c(sweek = 9, sday = 3))
file_date_array[, 1] <- c(paste0('04', c('04', '07', '11', '14', '18', '21', '25', '28')), '0502')
file_date_array[, 2] <- c(file_date_array[2:9, 1], '0505')
file_date_array[, 3] <- c(file_date_array[2:9, 2], '0509')


  hcst <- Start(dat = anlgs,
                var = vari, 
                latitude = indices(1), #'all', 
                longitude= indices(1), #'all', 
                member= indices(1), #'all', 
                time = 'all',  # inner dim
                syear = 'all', #inner dim
                file_date = file_date_array,
                split_multiselected_dims = TRUE,
                retrieve = T,
                return_vars = list(leadtimes = 'file_date'),
                synonims = list(longitude = c('lon', 'longitude'), 
                                latitude = c('lat', 'latitude'),
                                syear = c('sdate','syear'),
                                member = c('ensemble','member')))

time_attr <- attr(hcst, 'Variables')$common$leadtimes
dim(time_attr)  #CORRECT
#sweek  sday syear  time 
#    9     3    20     4
time_attr[1]  #WRONG. should be time format and the value is not correct
[1] 0
 

