
library(yaml)

#args = commandArgs(trailingOnly = TRUE) #args = NULL
# args[1] <- "/esarchive/scratch/lpalma/git/csdownscale/conf/vitigeoos-subseasonal-run.yml"
#recipe <- read_yaml(args[1])

#proj_dir="/esarchive/scratch/lpalma/git/vitigeoos-prod/"
#fcst.sdates <- c("20210901","20210801","20210701")
#fcst.type <<- "seasonal"
#archiv <- "/esarchive/oper/VITIGEOSS/"
args = commandArgs(trailingOnly = TRUE)
fcst.sdates <- "20220421" #args[1]
proj_dir <- "/esarchive/autosubmit/a4e4/proj/S2S4E-backend-BSC" #args[2]
archiv <- "/esarchive/oper/VITIGEOSS/" #args[3]
fcst.type <- "subseasonal" #args[4]
var <- "rsds" #args[5]
source(paste0(proj_dir,"/data-analysis/Vitigeoos/knn.load.R"))
source('~/aho-testtest/startR/issue/issue147/knn.load.R')

#vars <- c("tas","prlr","rsds")
#vars <- c("tas","prlr","rsds")
regions <- c("vitigeoss-cat","vitigeoss-campania","vitigeoss-douro")
#regions <- c(region)
vars <- c(var)

if (fcst.type == "seasonal"){
  path <- paste0(archiv,"/output/system5c3s/monthly_statistics/")
} else {
  path <- paste0(archiv,"/output/cfsv2/weekly_statistics/")
}

for (fcst.sdate in fcst.sdates){
  for (v in vars){
    for (region in regions){
      path.outside <- paste0(path,region,"/")
      variable <- v
      print(fcst.type)
      verify_downscale(v,region,fcst.sdate,path.outside,archiv,fcst.type)
    }
  }
}
